Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.3 Regression?: No
Operating System: Window 7 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28130
Description

In QGIS 3.2.3 svg map exports are no longer compatible with Adobe lllustrator.

When svg exports from 3.2.3 are opened in Adobe lllustrator, users get the following message:
'This SVG is invalid. Validate it before opening.’

| have created a python script that generates an .svg export from a QGIS template gps file.
These exports use predefined map composer templates and retains QGIS styles (thanks to pixel units), layers, and layer names.
The script worked fine in Qgis 3.0.0 however the exports from 3.2.3 are no longer compatible with Adobe lllustrator.

looking at the change log for 3.2 it seems that the type of svg exported is different.
| suspect this is the source of the issue.
'Feature: Project metadata embedded in layout exports'’
https://www.qgis.org/en/site/forusers/visualchangelog32/index.html#id50
Tested with:

- Adobe lllustrator CS6 (64 bit), and

- Adobe lllustrator CC 2018
On:

- Window 7 64 bit

- QGIS3.2.3

History

#1 - 2018-11-01 07:30 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you identify what component of the svg is invalid?

#2 - 2018-11-01 09:16 AM - M CUSHEN

Nyall Dawson wrote:

Can you identify what component of the svg is invalid?

It seems to be related to the metadata section.

If that block is removed the svg opens no problem in Al.
Here is the problem block:
https://www.qgis.org/en/site/forusers/visualchangelog32/index.html#id50

<metadata id="qgismetadata">
<rdf:RDF>
<cc:Work>
<dc:format>image/svg+xmi</dc:format>
<dc:title></dc:title>
<dc:date></dc:date>
<dc:identifier></dc:identifier>
<dc:description></dc:description>
<dc:creator>
<cc:Agent>
<dc:title></dc:title>
</cc:Agent>
</dc:creator>
<dc:publisher>
<cc:Agent>
<dc:title>QGIS 3.2.3-Bonn</dc:title>
</cc:Agent>
</dc:publisher>
<dc:subject>
<rdf:Bag/>
</dc:subject>
</cc:Work>
</rdf:RDF>
</metadata>

Replacing the metadata with the following does allows the svg to open successfully (I found this sample online):

<metadata>

<x:xmpmeta xmins:x="adobe:ns:meta/" x:xmptk="Adobe XMP Core 5.6-c142 79.160924, 2017/07/13-01:06:39">
<rdf:RDF xmins:rdf="http://www.w3.0rg/1999/02/22-rdf-syntax-ns#">

<rdf:Description rdf:about=""/>

</rdf:RDF>

</x:xmpmeta>

</metadata>

#3 - 2018-11-01 09:36 AM - Giovanni Manghi
- Assignee deleted (M CUSHEN)

- Status changed from Feedback to Open

#4 - 2018-11-01 10:56 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you try adding the xmins attributes described at https://www.w3.0rg/TR/SVG11/metadata.html and see if this helps?

#5 - 2018-11-02 01:30 AM - M CUSHEN

Adding the xmins attributes, as linked, to the existing metadata still resulted in an invalid svg.
https://www.w3.org/TR/SVG11/metadata.html

However changing the existing metadata to be in the following format, shown in the link, fixed the issue:
<metadata>
<rdf:RDF
xmins:rdf = "http://www.w3.0rg/1999/02/22-rdf-syntax-ns#"
xmins:rdfs = "http://www.w3.0rg/2000/01/rdf-schema#"
xmins:dc = "http://purl.org/dc/elements/1.1/" >
<rdf:Description about="http://example.org/myfoo"
dc:title="Sample QGIS Output"
dc:description="Sample Description"
dc:publisher="QGIS 3.2.3-Bonn"
dc:date="2000-04-11"
dc:format="image/svg+xml"
dc:language="en" >
</rdf:Description>
</rdf:RDF>
</metadata>

#6 - 2018-11-02 09:21 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-02-27 06:30 AM - Jesse Finley

- File deselect export rdf metadata.png added

| was having a similar problem with SVG file in lllustrator CC giving the error message 'This SVG is invalid. Validate it before opening.'

The solution for me was simple:

Print > Layout > Export SVG

Enter file name and save location > Save

*On the SVG Export Options - deselect "Export RDF metadata”

The SVG loaded fine in lllustrator, but make sure to reduce the line stroke (it is 1px by default)

#8 - 2019-03-01 08:12 PM - Giovanni Manghi

- Status changed from Open to Feedback

Jesse Finley wrote:

| was having a similar problem with SVG file in lllustrator CC giving the error message 'This SVG is invalid. Validate it before opening.’

The solution for me was simple:

worth a note in the documentation?

Files

deselect export rdf metadata.png 49.6 KB 2019-02-27 Jesse Finley
